%ifarch %{arm} aarch64 x86_64
%define build_docs     0
%else
%define build_docs     1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 2

%define rel 1

%define qtversion      %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebview   %mklibname qt5webview %{qtmajor}
%define libqtwebview_d %mklibname qt5webview -d

%define qttarballdir   qtwebview-everywhere-src-%{qtversion}

Name:           qtwebview5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} WebView component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
ExcludeArch:    armv5tl

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Positioning) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5WebChannel) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}
# for 5.11, watch progress on
# https://bugreports.qt.io/browse/QTBUG-63137
BuildRequires:  pkgconfig(Qt5WebEngine)

%description
Qt%{qtmajor} WebView provides a way to display web content in a QML
application without necessarily including a full web browser stack
by using native APIs where it makes sense.

%files
%{_qt5_qml}/QtWebView/
%{_qt5_plugindir}/webview/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtWebView%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtWebView%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtwebview.qch
%{_qt5_docdir}/qtwebview/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtwebview}
Summary:        Qt%{qtmajor} WebView Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtwebview}
Qt%{qtmajor} WebView Component Library.

%files -n %{libqtwebview}
%{_qt5_libdir}/libQt5WebView.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtwebview_d}
Summary:        Devel files needed to build apps based on QtWebView
Group:          Development/KDE and Qt
Requires:       %{libqtwebview} = %{version}
Provides:       libqtwebview5-devel = %{version}
Provides:       libqt5webview-devel = %{version}
Provides:       qtwebview5-devel = %{version}
Provides:       qt5webview-devel = %{version}

%description -n %{libqtwebview_d}
Devel files needed to build apps based on QtWebView.

%files -n %{libqtwebview_d}
%{_qt5_includedir}/QtWebView/
%{_qt5_libdir}/libQt5WebView.so
%{_qt5_libdir}/pkgconfig/Qt5WebView.pc
%{_qt5_libdir}/cmake/Qt5WebView/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/webview/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtwebview-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652483
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624930
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589843
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545574
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484442
- New version 5.14.1

* Mon Sep 09 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438811
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421136
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418170
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384610
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378558
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362305
- New version 5.12.1

* Fri Dec 14 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1341146
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319048
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300741
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245837
- New version 5.11.1

* Wed May 30 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1233184
- New version 5.11.0
- add note about qtwebengine dep for future 5.11 branch

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216526
- New version 5.10.1

* Thu Mar 01 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205939
- New version 5.9.4

* Wed Dec 27 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1185543
- New version 5.9.3

* Fri Aug 04 2017 daviddavid <daviddavid> 5.9.1-1.mga7
+ Revision: 1134759
- initial package qtwebview5

